Package org.eclipse.birt.chart.factory

# Interface IMessageLookup

public interface IMessageLookup
Provides services for externalization of static text messages rendered in a chart. The chart title and axis titles are presently externalizable. Custom series types may choose to make use of the externalization service provided by this interface. Note that the externalization service needs to be implemented by a target host service. This service is provided by the BIRT reporting context.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final char`
`KEY_SEPARATOR`
Defines a separator for a fully externalized message reference containing a key on the LHS and a value on the RHS separated by the key separator.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessageValue(String sKey, com.ibm.icu.util.ULocale lcl)`
Retrieves an externalized text message value from a message base file associated with the report design.
`String`
`getMessageValue(String sKey, Locale lcl)`
Deprecated.
use `getMessageValue(String, ULocale)` instead.

## Field Details

### KEY_SEPARATOR

static final char KEY_SEPARATOR
Defines a separator for a fully externalized message reference containing a key on the LHS and a value on the RHS separated by the key separator.

See Also:
  - Constant Field Values

## Method Details

### getMessageValue

@Deprecated String getMessageValue(String sKey, Locale lcl)
Deprecated.
use `getMessageValue(String, ULocale)` instead.
Retrieves an externalized text message value from a message base file associated with the report design.

Parameters:
  `sKey` - The key for which an externalized message is looked up.
  `lcl` - The locale for which an externalized message file is retrieved.
Returns:
  An externalized message for the specified key and locale.

### getMessageValue

String getMessageValue(String sKey, com.ibm.icu.util.ULocale lcl)
Retrieves an externalized text message value from a message base file associated with the report design.

Parameters:
  `sKey` - The key for which an externalized message is looked up.
  `lcl` - The locale for which an externalized message file is retrieved.
Returns:
  An externalized message for the specified key and locale.
Since:
  2.1